Show / Hide Table of Contents

# Enum TagHandling

Specifies the handling type the tag should use.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum TagHandling

### Fields

Name | Description
--- | ---
FullName | Resolves to username with discriminator value. (e.g. <@53905483156684800> -> @Voltana#8252).
FullNameNoPrefix | Resolves to username with discriminator value without mention prefix. (e.g. <@53905483156684800> -> Voltana#8252).
Ignore | Tag handling is ignored (e.g. <@53905483156684800> -> <@53905483156684800>).
Name | Resolves to username (e.g. <@53905483156684800> -> @Voltana).
NameNoPrefix | Resolves to username without mention prefix (e.g. <@53905483156684800> -> Voltana).
Remove | Removes the tag entirely.
Sanitize | Sanitizes the tag (e.g. <@53905483156684800> -> <@53905483156684800> (w/ nbsp)).

##### See Also

MentionUtils
Resolve(TagHandling, TagHandling, TagHandling, TagHandling, TagHandling)

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()